/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.finance.loan

// imports
import {IDuration} from './org.accordproject.time';
import {ICurrencyCode,ICryptoCurrencyCode} from './org.accordproject.money';
import {IConcept} from './concerto';

// interfaces
export enum CurrencyType {
   MONETARY = 'MONETARY',
   CRYPTOMONETARY = 'CRYPTOMONETARY',
}

export interface IPaymentFrequency extends IConcept {
   periodMultiplier: number;
   period: IDuration;
}

export interface ILoan extends IConcept {
   instrumentId: string[];
   description?: string;
   currencyType: CurrencyType;
   currencyCode?: CurrencyCode;
   cryptoCurrencyCode?: CryptoCurrencyCode;
   exchangeId?: string[];
   clearanceSystem?: string;
   definition?: string;
   lein?: string;
   facilityType?: string;
   maturity: Date;
   creditAgreementDate: Date;
   tranche?: string;
}

